/** @file MOMContentList.idl
 *
 * Copyright (C) Espial Limited 2014 - Company confidential - All rights reserved.
 *
 */

    [
		NoInterfaceObject,
        Conditional=RMAI,
        JSGenerateToNativeObject,
    ] interface MOMContentList : MOMContentItem {

        readonly attribute long length;

        getter MOMContentItem item( in long index );
        getter MOMContentItem namedItem( in DOMString name );
        MOMContentItem nextItem( in MOMContentItem item, in optional boolean wrap );
        MOMContentItem prevItem( in MOMContentItem item, in optional boolean wrap );

    };
